# std::hash<::vector< bool, _Alloc > > Struct Template Reference

std::hash specialization for vector<bool>. More...

Inheritance diagram for std::hash<::vector< bool, _Alloc > >:
[legend]

List of all members.

## Public Types

- typedef ::vector< bool, _Alloc > argument_type
- typedef size_t result_type

## Public Member Functions

- size_t operator() (const ::vector< bool, _Alloc > &__b) const

## Detailed Description

### template<typename _Alloc>
struct std::hash<::vector< bool, _Alloc > >

std::hash specialization for vector<bool>.

Definition at line 1040 of file stl_bvector.h.

## Member Typedef Documentation

typedef ::vector< bool, _Alloc > std::unary_function< ::vector< bool, _Alloc > , size_t >::argument_type `[inherited]`

`argument_type` is the type of the /// argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef size_t std::unary_function< ::vector< bool, _Alloc > , size_t >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following files:

- stl_bvector.h
- vector.tcc